# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.SearchKey

Packages that use SearchKey
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of SearchKey in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return SearchKey
Modifier and Type
Method
Description
`static SearchKey`
StructureFactory.`createSearchKey()`
Creates an empty search key structure.
Methods in org.eclipse.birt.report.model.api with parameters of type SearchKey
Modifier and Type
Method
Description
`void`
ActionHandle.`addSearch(SearchKey key)`
Add a new search key to the action.